> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a message about a ProductsDetail

> ## Send a message about a ProductsDetail ##

<p>
Allows you to send a message to the WT team about a specific ProductsDetail record.
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/product/{productId}/{productStatusCode}/message
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/{productStatusCode}/message:
    post:
      tags:
        - Version 1
        - Products
      summary: Send a message about a ProductsDetail
      description: >-
        ## Send a message about a ProductsDetail ##


        <p>

        Allows you to send a message to the WT team about a specific
        ProductsDetail record.

        </p>
      operationId: addProductMessageAction
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: productStatusCode
          in: path
          required: true
          schema:
            type: string
            pattern: '[A-Z]'
        - name: message
          in: query
          required: true
          schema:
            type: string
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      requestBody:
        description: The message to send
        required: true
        content:
          application/json:
            schema:
              properties:
                message:
                  description: Message to be sent
                  type: string
              type: object
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when no matching record found.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.